### The North Bay Python 2017 CFP is open!

We've got lots of good information and resources below that you should read, but in case you've already read it and want to dive in now:

<div class="btn-group">
  <a class="btn btn-lg btn-primary" href="/dashboard">Submit a Proposal</a>
</div>

If you've never presented at a conference before and think you might like to try it, we want to hear from you! The program committee is *very* much interested in encouraging and supporting new speakers, and we will be able to provide detailed feedback and work with you to develop your proposal and talk content so you can give the best talk possible.

In the interest of transparency, we have documented our [selection process](/program/selection-process). Portions of this page were drawn from ideas seen on [DjangoCon EU](https://djangocon.eu), [SeaGL](https://seagl.org), [Fog City Ruby](http://www.fogcityruby.com/speak/), and others. Thanks to all for their inspiration and permission to borrow!

## Dates<a name="dates"></a>

+ **August 21**: CFP opens
+ **September 29**: CFP closes
+ **Week of October 9**: Acceptance notifications sent
+ **Week of October 16**: Speaker confirmations due; program finalized and announced
+ **December 2–3**: Conference happens!

## Speakers<a name="speakers"></a>

North Bay Python is dedicated to featuring a diverse and inclusive speaker lineup.

**All speakers will be expected to have read and adhere to the conference [Code of Conduct](/code-of-conduct). In particular for speakers: slide contents and spoken material should be appropriate for a professional audience including people of many different backgrounds. Sexual language and imagery is not appropriate, and neither are language or imagery that denigrate or demean people based on race, gender, religion, sexual orientation, physical appearance, disability, or body size.**

We will make every effort to provide accommodations for speakers and attendees of all abilities&mdash;all we ask is that you let us know so we can prepare accordingly.

North Bay Python is a conference in support of the local programmer community outside of the core San Francisco Bay Area tech scene. We aim to feature a mix of local and non-local speakers to offer a program with broad appeal. **All speakers will receive complimentary registration to the conference, and requests for further financial compensation to assist with travel will be considered on a case-by-case basis independent of the proposal's merits.**

## Talk Formats<a name="talk-formats"></a>

**Most of the talk slots will be short**&mdash;approximately 25 to 30 minutes, including Q&A. If your ideas would benefit from a longer slot, please explain in your submission how you would use the additional time.

## Topics<a name="topics"></a>

**We are a single track conference. This means that your talk needs to hold the attention of beginners and experienced developers alike.**

This doesn't mean that every talk needs to be a beginner's talk. If you're talking about advanced concepts, people who are new to Python or your library should come away excited about the possibilities, and know what concepts they need to learn to get there.

This is a list of topics we think might go well in the North Bay Python program, but it is by no means exhaustive. If you have a talk idea on a subject not listed here and you think it fits well with our community and mission, we would love to [hear about it](mailto:program@northbaypython.org)!

+ The Python community
+ Python fundamentals
+ Useful libraries and tools
+ Testing in Python
+ Deploying, operating, or scaling Python
+ Organization and communication skills for software development
+ What Python can learn from other communities
+ Accessibility in Python (and other) software
+ Unexpected places Python gets used (Embedded systems! Health science!)
+ ... and anything else we might not have thought of!

## Resources<a name="resources"></a>

This [public speaking](https://github.com/vmbrasseur/Public_Speaking) repository, maintained by [VM Brasseur](https://twitter.com/vmbrasseur), has many useful resources to help you polish your proposals and talks.

### Office Hours and Mentorship<a name="mentorship"></a>

First time speakers are welcomed and encouraged. In order to support speakers, we offer mentorship and feedback, are running office hours, and hosting a speaker training on the Friday before North Bay Python. Above all we want you to be successful and have a good time telling other attendees about your ideas!

You can [contact the program committee](mailto:program@northbaypython.org) via email or drop by [#nbpy on the Freenode IRC network](https://webchat.freenode.net/?channels=%23nbpy) anytime to be connected with a mentor and receive guidance structuring your proposal and talk.

Our office hours will be held twice every week **Wednesday at 7pm** and **Friday at 3pm** Pacific Time starting August 21 and finishing September 29. We'll be holding them on IRC, a chat protocol, in the #nbpy channel on the Freenode network. New to IRC? You can use [this web client](https://webchat.freenode.net/?channels=%23nbpy) to connect.

We're happy to help with any of the following:

+ Exploring and brainstorming your interests to help you identify hidden things that would make great talks
+ Connecting you with experienced speakers to help build your proposal and talk
+ Reviewing your outline, slide deck, or presenter notes
+ Connecting you with rehearsal audiences or even just watching you present over a video conference as practice
+ Anything else that'd help you be at ease and excited about bringing your ideas to our audience!

## Submitting<a name="submitting"></a>

To help us evaluate proposals and build our program, we would like as much detail as you can provide on your talk. At a minimum this should include: **a brief description (~400 characters) suitable for inclusion in a schedule page; a brief prose abstract (intended as the content for a talk detail page on the program site); and, if you'd like, a rough outline of the structure including estimated timings for each section of your talk.**

If you've given your talk before, links to video or slides would be excellent, or if you've blogged about this topic links to your blog posts would be of use as well.

Your speaker profile includes a space for you to describe your prior experience giving talks&mdash;this is your chance to talk yourself up and explain how you're qualified to share your ideas, so take advantage of it!

<div class="btn-group">
  <a class="btn btn-lg btn-primary" href="/dashboard">Submit a Proposal</a>
</div>

## How to Write Your Proposal<a name="how-to-write-your-proposal"></a>

If you have an idea (or don't!) and want to speak, here's a very rough process of what you should do next:

+ Brainstorm or [mind map](https://en.wikipedia.org/wiki/Mind_map) to expand upon your ideas or knowledge in search of a general topic
+ Write a paragraph or two, or some bullet points, to outline the core concepts you want to communicate and what people might learn from your talk
+ Get someone you trust to read your notes and tell you what they think they'd learn
+ Attend our office hours to get help building up your submission
+ Practice!
