*This document was forked from the [Linux Australia Event Terms and Conditions](https://github.com/linuxaustralia/constitution_and_policies/blob/master/terms_and_conditions.md).*

These Terms and Conditions apply to all attendees who have registered for North Bay Python.

Registration
------------

Registering for the event does not guarantee your ticket until it has been paid for in full. So to secure your ticket, pay the registration invoice as soon as possible.

Security and Credit Cards
-------------------------

All transactions are performed through a payment gateway facility and use SSL encryption. The facility accepts MasterCard, Visa, and may accept other cards as well. All transactions are performed by the event organizers on behalf of Software Freedom Conservancy.

Cancellation Policy
-------------------

**Cancellations made prior to November 2, 2017**: Incur a cancellation fee of $25 or 15% of the ticket cost, whichever is greater, which will be deducted from any registration fee paid. The balance will be refunded.

**Cancellations made after November 2, 2017**: No refund.

Substitutions
-------------

You may substitute another person, however you must contact us with this person's details. If you wish to substitute after November 2, 2017 please note that we will not be able to provide any personalized items.

Privacy Notice
--------------

In the course of registering for the event and related events, personal information will be collected about attendees such as their name, contact details, etc. This information is required to facilitate registration to the event, for catering requirements, and for organizers or their agents to contact particular attendees as and when required in respect of the event. Attendees who do not disclose this personal information will be unable to complete registration at the event and will therefore not be able to attend.

Personal information will only be disclosed to North Bay Python, Software Freedom Conservancy, and to Government agencies where organizers believe disclosure is appropriate for legal compliance and law enforcement; to facilitate court proceedings; to enforce our terms and conditions; or to protect the rights, property, or safety of the event, our attendees, or others. North Bay Python and Software Freedom Conservancy will not sell your personal information to third parties and will not use your personal information to send promotional material from any of our affiliated partners and/or sponsors.

As part of the registration process attendees will be asked if they would like to subscribe to the event mailing lists and/or the event announcement mailing list. Attendees who subscribe to one or more of these lists will be sent emails from the event organizers and other subscribers to the mailing lists. If at any time, attendees wish to unsubscribe from any of these mailing lists, please follow the 'how to unsubscribe' directions on the bottom of any message you receive from these mailing lists.

From time to time event organizers update their information and website practices. Please regularly review this page for the most recent information about the event privacy practices.

All personal information will be kept private and used only for event registration purposes, statistics for future events, and convenience for future event registration.

Network
-------

The event may provide attendees with access to a wired and/or wireless network. Access to this network is a privilege and not an entitlement, and must be used appropriately. Inappropriate use includes, but is not limited to: unlawful activities, interfering with the equipment or network access of others and not respecting the reasonable expectations of privacy that attendees have for traffic flowing through the network.

If any attendees use the network inappropriately, then the event organisers will take any enforcement action they consider appropriate. Enforcement action includes but is not limited to:

* suspending access to the network
* disconnecting the network permanently
* the alleged offender may be asked to immediately leave the venue and/or will be prohibited from continuing to attend the event (without reimbursement)
* the incident may be reported to the police
* any other measure the event organizers see fit

Be aware that for security and operational reasons the event organizers may both monitor and log network traffic.

Discrimination and Anti-Social Behaviour
----------------------------------------

North Bay Python is proud to support people from all walks of life, especially underrepresented groups like women and people of color, and will not tolerate in any fashion any intimidation, harassment, and/or any abusive, discriminatory or derogatory behaviour by any attendees of the event and/or related events.

Examples of these behaviors and measures the event organizers may take are set out in the [Code of Conduct](/code-of-conduct). By registering for and attending North Bay Python, you agree to this Code of Conduct.

Talk Recordings
---------------

Event organizers may provide recordings of talks (audio and/or video) given at the event. This service is provided on a best-effort basis only. Any recordings will be released as and when they are ready, which may be some time after the conclusion of the event, and the recordings may be of varying quality.

Photography and Audio Video Recording
-------------------------------------

This applies to all attendees of North Bay Python and related events, including staff who are designated as official photographers and audio and video recorders.

Do not photograph, video or audio record anyone without their express permission.

Attendees will have a way to visibly signal their preference for photography at the conference. You agree to consider and act according to these preferences:

* Opt-in: Photography always okay
* Permission required: Ask before photographing
* Opt-out: Photographs are never okay, don't ask

Attendees who are not visibly signaling their preference should be asked for permission before photographing.  There is no prior opt-in for audio or video recordings. You must always ask before recording. 

The event may have one or more staff taking photographs and/or audio or video recordings during the event. These staff will respect attendees' preferences regarding photography and recordings.

The only exception is for recordings of talks given at the event where attendees who ask questions of the presenter may be included in the talk recording.

If Software Freedom Conservancy or North Bay Python organizers chooses to publish photographs and recordings taken by event staff, we will publish them under a Creative Commons license. Conservancy and North Bay Python further reserve the right to use those photographs and recordings in promotional materials to promote North Bay Python and/or the use of free and open source software.

If there is a violation of this policy, event organizers will request that the photograph be removed from any sites where it was posted and deleted from the devices. In the event that this request is ignored or further violations occur, the participants violating this policy may be sanctioned or expelled from the conference without a refund or banned from future North Bay Python events.

Media
-----

There are a limited number of Media Passes available to media personnel. Media Passes are free of charge, and entitle media personnel to attend the event with all the entitlements of a Corporate registration. Please note, due to the limited numbers of Media Passes available, all Media Passes will need to be approved by the event organizers.

Any media attending the event are required to identify themselves as "media" to attendees prior to speaking on the record with any attendees of the event. It is the responsibility of the media to introduce themselves to the persons they wish to interview and to arrange any interviews with those persons. The event organizers will not make introductions or arrange interviews on behalf of media.

Students
--------

Students who register for a student ticket (if available) to attend the event may be required to provide event organizers with proof that they are eligible for registration as a student, such as providing a valid student ID card.

Smoke-free
----------

All event venues including the social event venues are smoke-free. If attendees wish to smoke during the event and/or related events, they must do so in signed areas. Please consider others and refrain from smoking directly outside the venues' entrances.

Health and Safety
-----------------

If you are attending the event as a presenter, it is your responsibility to ensure that your talk meets health and safety requirements under United States and California law. If you are unsure about what this means, please contact the event organizers.

Immigration/Entry Requirements
------------------------------

Anyone who lives outside the United States will need a passport and may require a visa to gain entry into the United States. Please contact your local United States embassy to determine your travel needs. You should take into account the Cancellation Policy above and do this well in advance of the event.

Where a letter of invitation is required, one will be issued by event organizers for presenters whose submissions have been accepted.